@use "@/styles/index" as *;

.blogContent {
  text-align: justify;
  align-self: stretch;
  display: flex;
  max-width: 100%;
  justify-content: center;
  margin: 0 71px;
  color: var(--black, #1d1d1d);
  font-family: Inter Tight;
  font-size: 14px;
  font-style: normal;
  font-weight: 400;
  line-height: 150%; /* 21px */
  letter-spacing: 0.7px;
  .kg-card {
    &.kg-image-card {
      @include desktop {
        margin-top: 48px;
      }
      .kg-image {
        width: 100%;
      }
      figcaption {
        display: none;
      }
    }
    &.kg-button-card {
      margin-top: 48px;
      text-align: center;
      .kg-btn {
        background-color: var(--primary-500, #FF6F61);
        border-radius: 4px;
        color: var(--white, #FFFFFF);
        font-family: Inter Tight;
        font-size: 14px;
        font-style: normal;
        font-weight: 600;
        line-height: 140%; /* 19.6px */
        letter-spacing: 0.28px;
        padding: 12px 16px;
        text-align: center;
        text-decoration: none;
        text-transform: uppercase;
        &:hover {
          background-color: var(--primary-600, #FF6F61);
        }
      }
    }
  }
  h2 {
    color: var(--neutral-800, #242222);
    font-family: Niramit;
    font-weight: 700;
    @include desktop {
      font-size: 24px;
      line-height: 120%;
      margin-top: 24px;
    }
  }
  ul {
    list-style: none;
    @include desktop {
      margin-top: 16px;
    }
    li {
      list-style-type: disc;
      @include desktop {
        margin-top: 16px;
        margin-left: 24px;
      }
      &::marker {
        color: rgba(16,16,16,1);
        font-size: 20px;
      }
    }
  }
  h3 {
    font-family: Inter Tight;
    font-style: normal;
    font-size: 18px;
    font-weight: 600;
    line-height: 30px;
    justify-content: left;
    @include desktop {
      margin-top: 16px;
    }
  }
  p {
    color: var(--black, #1D1D1D);
    font-family: Inter Tight;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 25px;
    letter-spacing: 0.7px;;
    @include desktop {
      margin-top: 16px;
    }
  }
  .kg-quote-card {
    @include desktop {
      margin-top: 24px;
      padding: 40px;
    }
    border-radius: 8px 8px 0px 0px;
    background: var(--secondary-500, #B57E50);
    color: var(--secondary-200, #F4F0EC);
    text-align: center;
    font-family: Niramit;
    font-size: 24px;
    font-style: normal;
    font-weight: 700;
    line-height: 120%; /* 28.8px */
    letter-spacing: -0.48px;
    .kg-quote-card-text {
      color: var(--secondary-200, #F4F0EC);
      text-align: center;
      font-family: Niramit;
      font-size: 24px;
      font-style: normal;
      font-weight: 700;
      line-height: 120%; /* 28.8px */
      letter-spacing: -0.48px;
    }
    .share-quote-wrapper {
      @include desktop {
        margin-top: 24px;
      }
      .share-button {
        margin: 0 auto;
        border-radius: 4px;
        border: 1px solid var(--neutral-500, #D4D4D3);
        background: var(--neutral-200, #FCFCFC);
      }
    }
  }
}

